/*
 * Copyright (C) 2011 Canonical Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 3, as published
 * by the Free Software Foundation.

 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranties of
 * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by Neil Jagdish Patel <njpatel@gmail.com>
 */

public class TabBar : Gtk.Alignment
{
  private Gtk.VBox _vbox;
  private Gtk.HBox _tab_box;
  private Gtk.HBox _toolbar_box;

  private TabBarItem? _active_item = null;

  public signal void tab_changed (TabBarItem item);

  public TabBar ()
  {
    Object ();
  }

  construct
  {
    _vbox = new Gtk.VBox (false, 4);
    add (_vbox);

    _tab_box = new Gtk.HBox (true, 0);
    _vbox.pack_start (_tab_box, false, true, 0);

    _toolbar_box = new Gtk.HBox (false, 0);
    _vbox.pack_start (_tab_box, false, true, 0);

    show_all ();
  }

  public void add_item (TabBarItem item)
  {
    item.clicked.connect (on_tab_clicked);
    _tab_box.pack_start (item, true, true, 0);
  }

  public void on_tab_clicked (Gtk.Button? gtk_item)
  {
    TabBarItem? item = gtk_item as TabBarItem;

    if (_active_item == item)
      return;

    _active_item.active = false;

    _active_item = item;
    _active_item.active = true;

    tab_changed (item);
  }
}
